<?php

namespace App\Classes\General\Eloquent\Filters;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;

class NotExpired implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return Builder|mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereDate('expires_on', '>=', Carbon::now());
    }

}